tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: libffi on ia64-hp-hpux11.31

On Tue, 06 Aug 2013 11:20:50 +0900, Paul Ackersviller <> 

Could you provide detailed broken information on your platform?

Sure, is here preferred to a ticket in the netbsd bug tracker?

Please file this issue in our bug tracker.

Below shows the tail end of a log.  What happens is something gets
stuck waiting for input from stdin, so just before the end I hit
an EOF at the terminal.  I looked a bit at the shell, but it's too
obtuse for me to understand.

checking whether byte ordering is bigendian... yes
checking assembler .cfi pseudo-op support... no
checking whether .eh_frame section should be read-only... expr: Syntax error

checking for __attribute__((visibility("hidden")))... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating include/Makefile
config.status: creating include/ffi.h
config.status: creating Makefile
config.status: creating testsuite/Makefile
config.status: creating man/Makefile
config.status: creating libffi.pc
config.status: creating fficonfig.h
config.status: linking ../src/ia64/ffitarget.h to include/ffitarget.h
config.status: executing buildir commands
config.status: create top_srcdir/Makefile guessed from local Makefile
config.status: buggy sed found - it deletes tab in "a" text parts
config.status: build in ia64-hp-hpux11.31 (HOST=)
config.status: executing depfiles commands
config.status: executing libtool commands
rm: libtoolT non-existent
config.status: executing include commands
config.status: executing src commands
=> Modifying libtool scripts to use pkgsrc libtool
===> Building for libffi-3.0.13
/bin/sh: : Execute permission denied.
/bin/sh: ia64-hp-hpux11.31:  not found.
MAKE ia64-hp-hpux11.31 : 0 * all
/bin/sh: : cannot execute
/bin/sh:  Makefile |tail -1| sed -e 's/.*|//' :  not found.
*** Error code 1

bmake: stopped in /devapp/pkgsrc/devel/libffi/work/libffi-3.0.13
*** Error code 1

Probably, the failure came from the last hunk of patch-aa.
I don't know why it is required because it was added silently
at updated to 3.0.11...

OBATA Akio /

Home | Main Index | Thread Index | Old Index